OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
WaterFeature Struct Reference

Information about a water feature. More...

`#include <newgrf_canal.h>`

## Data Fields
const SpriteGroup * | group
| Sprite group to start resolving.
const GRFFile * | grffile
| NewGRF where 'group' belongs to.
uint8 | callback_mask
| Bitmask of canal callbacks that have to be called.
uint8 | flags
| Flags controlling display.

## Detailed Description

Information about a water feature.

Definition at line 24 of file newgrf_canal.h.

The documentation for this struct was generated from the following file:

- src/newgrf_canal.h